/**
 * Stylesheet for views for the default theme
 */

#views-loading {
    text-align: center;
    margin: 1em;
    font-size: 100%;
    color: #547C22;
}

#view h3 {
    margin-top: .25em;
}
p.view-description {
    margin: .5em .25em;
}
div.editview {
    margin-top: .75em;
}
/** When viewing an artefact */
#view .filedata-icon {
    margin: 0 .5em;
}
#view table.filedata {
    margin-top: 1em;
    border: none;
}
#view table.filedata th {
    width: 8em;
    padding: 5px 0 0 0;
}

#top-pane {
    background-color: #95a8b7;
}
#category-list {
}
#category-list li {
    background-color: #e0e8ee;
    margin-right: 5px;
    line-height: 25px;
    padding: 5px 10px;
}
#category-list li a {
	color: #1e6297;
}
#category-list li.current {
    font-weight: bold;
    background-color: #f4f7f9;
}
#blocktype-list {
    background-color: #f4f7f9;
    padding: 5px 5px 10px 5px;
    margin-left: 5px;
}
#blocktype-list .blocktype-radio {
    border: none;
    /* ie fix */
    cursor: default;
}

/* don't ask... fixing some wierd firefox problem */
#blocktype-list * {
    margin: 0;
}

#blocktype-list li h3 {
    font-size: .9em;
}
#blocktype-list li p {
    font-size: .8em;
}
#noblocks {
    font-size: larger;
    color: #547C22;
    margin-top: 40px;
    text-align: center;
}

#layout-link {
    font-size: 11px;
	background: url(../images/icon-change.gif) no-repeat;
	padding-left: 18px;
}
#layout-link.disabled {
    color: #aaa;
}
#btn-displaymyview {
    font-size: 11px;
	background: url(../images/icon-display.gif) no-repeat;
	padding-left: 18px;
}

#page #bottom-pane {
    margin-top: 10px;
	border: 1px solid #ebebeb;
}
#column-container {
	padding: 0;
	margin: 0;
}
#blocksinstruction {
    padding: 5px 10px;
    background: #ebebeb;
    color: #6e6e6e;
    font-weight: bold;
}

.add-column-center {
    text-align: right;
}
.column-header input {
    font-size: 9px;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    letter-spacing: -1px;
    font-weight: normal;
    height: 16px;
    width: 42px;
    color: #FFF;
    /* konqueror/safari fix */
    border: none;
    background: none;
    padding: 0;
}
.remove-column input.removecolumn {
    width: 50px;
}
#column-container .column-header input[disabled="disabled"] {
    color: #ccc;
    cursor: default;
}

.blockinstance {
    margin-top: 1em;
    background-color: #FFF;
    padding: 5px;
    font-size: 12px;
}
.maincontent .blockinstance table {
    font-size: 12px;
}
.blockinstance-header h4 {
    margin: 0;
    padding: 3px 5px;
    border-bottom: 1px solid #d2d2d2;
    background-color: #FFF;
}
.blockinstance-header h4 a {
    text-decoration: none;
}

.blockinstance-controls input {
    height: 16px;
    width: 16px;
    color: #acc067;
    border: none;
    background: none;
    padding: 0;
}

.blockinstance-content {
    padding: 5px;
	font-size: 12px;
}
/* This rule is incredibly annoying, as it enforces the widths on a whole bunch of tables that don't need to be forced - like the blog attachments table and any tables the user generates by the wysiwyg editor. Can it be made more specific? */
.blockinstance-content table {
	width: 100%;
	* width: 99%;
}
.blockinstance-content table,
.blockinstance-content table th,
.blockinstance-content table td {
	margin: 0;
    padding: 2px;
	text-align: left;
}
.blockinstance-content h1,
.blockinstance-content h2,
.blockinstance-content h3,
.blockinstance-content h4,
.blockinstance-content h5,
.blockinstance-content h6 {
    margin: 15px 0 0 0;
}
.blockinstance-content h2 {
	font-size: 16px;
	margin-top: 5px !important;
}
.blockinstance-content h3 {
	font-size: 14px;
	margin-top: 5px !important;
}
.blockinstance-content .tablerenderer,
.blockinstance-content table {
	margin-top: 5px;
}

.blockinstance-content table tr.submitcancel td input.submit,
.blockinstance-content table tr.submitcancel td input.cancel {
	height: 22px !important;
	margin: 0;
	padding: 0 10px;
}
.blockinstance-content table.cb,
.blockinstance-content table.cb th,
.blockinstance-content table.cb td {
    padding: 2px 4px;
	text-align: left;
	margin: 0;
}

#artefactchooser-body table,
#artefactchooser-body table th,
#artefactchooser-body table td {
    padding: 2px 0;
	text-align: left;
	color: #474220;
}
#artefactchooser-body table th label {
	color: #95a8b6;
}

.column-content {
    min-height: 18px;
}
.column-content .add-button {
    margin: 5px 0;
}
.add-button .newblockhere {
    background: url(../images/btn_addblock.gif) repeat-x;
    font-weight: normal;
    height: 18px;
    padding: 1px 5px 2px 5px;
    color: #FFF;
    width: 100%;
    margin: 0;
}
/* this rule compresses and centres the buttons better in konqueror and safari */
body:last-child:not(:root:root) .newblockhere {
    color: #547C22;
}

#block-placeholder {
    border: 2px dashed #bfbfbf;
    margin-top: 1em;
}

.ac-pagination {
    text-align: center;
    white-space: nowrap;
}

.ac-pagination a, .ac-pagination .disabled {
    padding: 1px 3px;
    margin: 0 1px;
}

/* styling the tabs for the artefact chooser */
.maincontent ul.artefactchooser-tabs {
    border-bottom: 1px solid #d9dfea;
    margin: 0.5em 0 0;
    padding-left: 0.5em;
}
.maincontent ul.artefactchooser-tabs li {
	margin: 0 3px 0 0;
	padding: 0;
}
.maincontent ul.artefactchooser-tabs li a {
    background-color: #b2b2b2;
    padding: 2px 1em;
    text-decoration: none;
	color: #FFF;
	border-color: #D9DFEA #b2b2b2 #b2b2b2 #D9DFEA !important;
	border-style: solid;
	border-width: 1px;
    border-bottom-width: 0;
}
.maincontent ul.artefactchooser-tabs li.current a {
    background-color: #888;
}
#artefactchooser-searchsubmit {
    margin: 0;
}
.maincontent div.artefactchooser-splitter {
    padding: .25em 0 0;
}
.blockinstance-content p.noartefacts {
    color: #808080;
    text-align: center;
    margin-top: 0;
    padding: .5em;
}
.maincontent table.artefactchooser-data {
    border: none;
    margin-top: 0;
    padding: .5em .5em 0;
}

.blockinstance-content table p img {
	padding: 10px 20px;
}
